"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkix import Chem
from rdkix import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-aarch64-cpython-39/rdkix_install/share/RDKix/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0xffffa504b160>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0xffffa504b1f0>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0xffffa504b280>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0xffffa504b310>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0xffffa504b3a0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0xffffa504b430>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0xffffa504b4c0>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffffa504b550>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffffa504b5e0>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffffa504b670>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0xffffa504b700>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0xffffa504b790>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0xffffa504b820>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0xffffa504b8b0>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0xffffa504b940>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0xffffa504b9d0>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0xffffa504ba60>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0xffffa504baf0>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0xffffa504bb80>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0xffffa504bc10>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0xffffa504bca0>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0xffffa504bd30>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0xffffa504bdc0>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0xffffa504be50>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0xffffa504bf70>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0xffffa504bee0>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0xffffa504d040>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0xffffa504d0d0>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0xffffa504d160>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0xffffa504d1f0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0xffffa504d280>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0xffffa504d310>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0xffffa504d3a0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0xffffa504d430>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0xffffa504d4c0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0xffffa504d550>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0xffffa504d5e0>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0xffffa504d670>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffffa504d700>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffffa504d790>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffffa504d820>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0xffffa504d8b0>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0xffffa504d940>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0xffffa504d9d0>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0xffffa504da60>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0xffffa504daf0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0xffffa504db80>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0xffffa504dc10>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0xffffa504dca0>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0xffffa504dd30>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0xffffa504ddc0>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0xffffa504de50>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0xffffa504dee0>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0xffffa504df70>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0xffffa5051040>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0xffffa50510d0>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0xffffa5051160>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0xffffa50511f0>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0xffffa5051280>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0xffffa5051310>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0xffffa50513a0>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0xffffa5051430>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0xffffa50514c0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0xffffa5051550>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0xffffa50515e0>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0xffffa5051790>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0xffffa5051670>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0xffffa5051820>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0xffffa50518b0>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0xffffa5051940>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0xffffa50519d0>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0xffffa5051a60>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0xffffa5051b80>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0xffffa5051af0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0xffffa5051c10>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0xffffa5051ca0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0xffffa5051d30>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0xffffa5051e50>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0xffffa5051dc0>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0xffffa5051ee0>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0xffffa5051f70>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0xffffa5055040>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0xffffa50550d0>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0xffffa5055160>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0xffffa50551f0>)]
name: str = 'fr_HOCCN'
